include_directories(.)
include_directories(../../driver/sdcard)
include_directories(../../driver/stddriver/inc)
include_directories(../../driver/cmsis/inc)
include_directories(../../component/fatfs/inc)

file(GLOB FILELIST
device.c
led.c
button.c
heat.c
ltc1867.c
ltc2640.c
rs485.c
modbus.c
calc.c
sd.c
)

add_library(src STATIC ${FILELIST})
target_link_libraries(src driver)
target_link_libraries(src fatfs)
